DBSHOWQUERY(1e)

NAME
dbshowquery - Show possible database queries that use a given data identifier

SYNOPSIS

dbshowquery -identifier string -database string -datatype string [-outfile outfile] [-html boolean]

dbshowquery -help

DESCRIPTION

dbshowquery is a command line program from EMBOSS (“the European Molecular Biology Open Software Suite”). It is part of the "Information" command group(s).

OPTIONS

  Input section

-identifier string
    This is a data identifier (e.g. a sequence accession number) that is used to specify the data (of type 'datatype') to retrieve. If you're unsure of the data identifier(s) that are used for a given query (database/datatype) use dbtellquery. The types of data identifier are listed under the 'Data identifier' branch of the EDAM ontology (http://edamontology.sourceforge.net/). For example values, see the catalogue of public databases in the EMBOSS data file DRCAT.dat. If you have a data identifier but are unsure of its type, use idtell.

  Required section

  Additional section

  Advanced section

-database string
    This is the name of a database from the catalogue of public databases in the EMBOSS data file DRCAT.dat. If you are unsure of the available databases use drfind. If you have a database name but are not sure its valid, use isdbname.

-datatype string
    This is the name of a retrievable datatype from the catalogue of public databases in the EMBOSS data file DRCAT.dat. The names are terms from the 'data' branch of the EDAM ontology, http://edamontology.sourceforge.net/. If you are unsure of the available retrievable datatypes for a given database, use dbtellquery. If you have a datatype name but are not sure its valid, use isdbdata.

  Output section

-outfile outfile
    Default value: stdout

  Html section

-html boolean
    If you are sending the output to a file, this will format it for displaying as a table in a WWW document. Default value: N

BUGS

Bugs can be reported to the Debian Bug Tracking system (http://bugs.debian.org/emboss), or directly to the EMBOSS developers (http://sourceforge.net/tracker/?group_id=93650&atid=605031).

SEE ALSO

dbshowquery is fully documented via the tfm(1) system.

AUTHOR

Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
    Wrote the script used to autogenerate this manual page.

COPYRIGHT

This manual page was autogenerated from an Ajax Control Definition of the EMBOSS package. It can be redistributed under the same terms as EMBOSS itself.